
/* connecting personal fonts to css */
@font-face {
  font-family: 'bamewpersonal_use';
  src: url('../fonts/bamew-personaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
    font-family: 'bamewbold_personal_use';
    src: url('../fonts/bamew-boldpersonaluse-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'bamewthin_personal_use';
  src: url('../fonts/bamew-thinpersonaluse-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'signalbold';
  src: url('../fonts/signal-bold-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}
  @font-face {
    font-family: 'signalbold';
    src: url('../fonts/signal-normal-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

@font-face {
    font-family: 'signallight';
    src: url('../fonts/signal-light-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }

  @font-face {
    font-family: 'signalextrabold';
    src: url('../fonts/signal-extrabold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
  }



html, body{
    height: 100%;
    margin: 0px;
    padding: 0px;
    font-family: 'Roboto', sans-serif;
    font-weight: 100;
    font-size: 17px;
  }
  
/* background image applied here to have it behind the menu bar added gradiant so text is more visible*/
header nav {
    display: flex;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.707), rgba(255, 255, 255, 0.545),rgba(178, 181, 182, 0.75)), url('../images/whitecafe.jpg');
    background-size: cover;
    opacity: 100%;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    align-items: top;
    justify-content: center;
    position: top;
    background-position: center;
    font-family: 'signalextrabold', sans-serif;
    font-size: 16px;
    text-align: center;
    flex-direction:row;
    justify-content: center;
  }

  /* names of the menu items from blue changing to yellow effect */
header nav a {
    text-decoration: none;
    color: #6196D0;
    margin: 10px 10px 10px 10px;
  }

header nav a:hover {
    color: #FFCF51;
  }

  /* logo that scales when the size of the screen changes */
  #logo{
    min-width: 20%;
    opacity: 100%;
    margin: 10px 10px 10px 10px;
  }

.h2-blue {
    flex-grow: 1;
    flex-shrink: 1;
    flex-direction: column;
    justify-content: center;
    display: flex;
    font-size: 30px;
    font-family: 'bamewpersonal_use', sans-serif;
    color: #6196D0;
    margin-bottom: 1rem;
}

.text-intro{
  flex-grow: 1;
    flex-shrink: 1;
    flex-direction: column;
    justify-content: center;
    display: flex;
}

.h2-yellow {
  flex-grow: 1;
  flex-shrink: 1;
  flex-direction: column;
  justify-content: center;
  display: flex;
  font-size: 30px;
  font-family: 'bamewpersonal_use', sans-serif;
  color:#FFCF51;
  margin-bottom: 1rem;
  
}

/* added a grow effect to all the buttons in the website with a shadow appearing in the back too when hover */
.button-blue {
  background-color: #6197d0c5;
  border: none;
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all .2s ease-in-out;
  width: 200px;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.button-blue:hover { 
  transform: scale(1.1);
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.822); 
  }

.button-yellow {
  background-color: #FFCF51;
  border: none;
  color: rgb(0, 0, 0);
  text-align: center;
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all .2s ease-in-out;
  width: 200px;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.button-yellow:hover { 
  transform: scale(1.1);
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.822); 
  }


.button-grey {
  background-color: rgb(178, 181, 182);
  border: none;
  color: rgb(0, 0, 0);
  text-decoration: none;
  border-radius: 31.5px;
  font-family: 'signalbold', sans-serif;
  font-size: 16px;
  padding: 25px;
  text-align: center;
  justify-content: center;
  border-width: 0ch;
  transition: all .2s ease-in-out;
  width: 200px;
  margin-bottom: 2rem;
}

.button-grey:hover { 
  transform: scale(1.1); 
  box-shadow: 4px 4px 12px 0 rgba(0, 0, 0, 0.822); 
  }

  /* added margin to center properly the content also used pictures from the html not as cover*/
.gallery{
  justify-content: space-around;
  text-align: center;
  align-content: center;
  margin-left: 9rem;
  margin-right: 4rem;
}

/* added rounded corners to all images of the website */
.gallery img{
  border-radius: 20px;
}

/* added display flex to turn in to a gallery and be respponsive later when reducing the size of the screen */
.section-one{
  display: flex;
  /* flex-direction: row; */
  margin-top: 3rem;
  font-family: 'roboto', sans-serif;
  font-weight: 100;
  font-size: 14px;
  justify-content: center;
  line-height: 1.5;
  }

.section-two {
  display: flex;
  flex-direction: row;
  margin-top: 3rem;
  margin-bottom: 3rem;
  font-family: 'roboto', sans-serif;
  font-weight: 100;
  font-size: 14px;
  justify-content: center;
  line-height: 1.5;
  }

.text-intro, .intro{
  padding-left: 9rem;
  padding-right: 9rem;
}

/* used the background cover option for the shop access */
.shopaccess{
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.707), rgba(255, 255, 255, 0.545),rgba(178, 181, 182, 0.75)), url('../images/coffeehome.jpg');
  background-size: cover;
  width: 100%;
  height: 50%;
  background-repeat: no-repeat;
  align-items: flex-end;
  justify-content: center;
  position: center;
  background-position: center;
  display: flex;
  border-radius: 20px;
}
/* footer - double */
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
/* first section of the footer with the links */
footer{
  background-color: #b2b5b66a;
  border-radius: 20px;
  margin-top: 1rem;
}

.footerContainer_container{
  width: 100%;
}

/* icons downloaded like the fonts and connected to the css */
.socialIcons{
  display: flex;
  justify-content: center;
}
.socialIcons a{
  text-decoration: none;
  padding:  10px;
  background-color: white;
  margin: 10px;
  border-radius: 50%;
}

.socialIcons a i{
  font-size: 2em;
  color: #6197d0c5;
  opacity: 0,9;
}
/* effect on social media icon when hover */
.socialIcons a:hover{
  background-color: #FFCF51;
  transition: 0.2s;
}
.socialIcons a:hover i{
  color: white;
  transition: 0.5s;
}
.footerNav{
  margin: 30px 0;
}
.footerNav ul{
  display: flex;
  justify-content: center;
  list-style-type: none;
}

/* added grow transitions to the footer items as well when hover */
.footerNav ul li a{
  color:rgb(0, 0, 0);
  margin: 20px;
  text-decoration: none;
  font-size: 1.3em;
  opacity: 0.7;
  transition: 0.2s;
  font-family: 'signalbold', sans-serif;
  transition: all .2s ease-in-out;

}
.footerNav ul li.yellow a:hover{
  color: #FFCF51;
  opacity: 1;
  font-size: 45px;
  transition: all 500ms;
  font-size-adjust: 20px;
}

.footerNav ul li.blue a:hover{
  color: #6197d0c5;
  opacity: 1;
  font-size: 45px;
  transition: all 500ms;
  font-size-adjust: 20px;
} 

/* second footer with copyright */
.footerBottom{
  background-color: #6197d073;
  padding: 20px;
  text-align: center;
  border-radius: 10px;
}
.footerBottom p{
  color: #FFCF51;
  font-family: 'roboto', sans-serif;
}

/* name of the copyright different than the beginning of the text */
.designer{
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 400;
  margin: 0px 5px;
  font-family: 'signalbold', sans-serif;
}

/* responsiveness */

@media only screen and (max-width: 768px){

  /* footer */
  .container{
    margin: 0 2rem 1rem 2rem;
}
.thumbnail{
    flex: 1 1 calc(50% - 0.4rem);
    height: 40vh;
}
  .footerNav ul{
      flex-direction: column;
  } 
  .footerNav ul li{
      width:100%;
      text-align: center;
      margin: 10px;
  }
  .socialIcons a{
      padding: 8px;
      margin: 4px;
  }

  /* content index page */

  /* transition to a colum when screen is reducing applied to all the pages */
  /* the menu in this way will be more visible on the hero image */
  .section-one, .section-two, .menu{
    flex-direction: column;
    justify-content: center;

  }

  /* reduced size of logo to fit in the menu in colum*/
  .menu #logo{ 
    max-width: 50%;
    align-self: center;
  }

  .gallery{
    margin-left: 0;
    margin-right: 0;
  }

  .gallery img, .gallery p, .gallery a, .gallery h1{
    flex-direction: column;
    align-items: center;
    max-width: 100%;
    margin-top: 1rem;
  }

  .picture-1, .picture-2{
    flex-direction: column;
  }

  .text-intro, .intro{
    padding-left: 0rem;
    padding-right: 0rem;
  }
}